Subject: [Mip6] Recall: The test specification that uses IKEv1 with Mobile IPv6

From: Yukiyo Akisada <[email-masked]>
Date: Mon, 27 Mar 2006 16:45:58 +0900

Hi, all.

Does this already have consensus?
I couldn't see result of this discussion, so I would like to recall it.

Case.A in original e-mail has interoperability perfectly.
We don't need to discuss about it anymore.

Regarding to Case.B, if it is local network, it will works.
In the other word,
I think that the local system can do whatever they want to do.

But in fact, for 'standard pattern' in original e-mail,
we should consider about non-local network, shouldn't we?

The problem is that Case.B HA sometimes doesn't have interoperability with Case.A MN.
For example, unsolicited MPA might be triggered by HA,
and payload packets also might invoke the initiation of IKE exchange by HA.
To make Case.B to work, it needs to restrict IPsec SA.

Thinking about non-local network,
only the case of (1) in his e-mail looks very natural for me.

This is just my thought.
How do you think? > others

And if I were misunderstanding, please correct me.

Thanks,

------------------------------------------------------------------------
Yukiyo Akisada <[email-masked]>

Subject: [Mip6] The test specification that uses IKEv1 with Mobile IPv6
From: "K.Kawaguchi" <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 10 Feb 2006 19:34:08 +0900
List-Id: mip6.ietf.org

Hi all,

I am making the test specification of Mobile IPv6 in TAHI project.

	http://cert.v6pc.jp/mipv6/

Now, we try to add the test specification that uses IKEv1 with Mobile
IPv6.  We are making the test specification that secures the interoperability
based on RFC3776.  Since the IKE operation is not clear in RFC3776,
we think there could be two implementations based on it.

Please look at the following two cases. 

  Case.A
    HA <------------------------------------------> MN
     IKE: Initiator,Responder                        IKE: Initiator,Responder
          (It becomes an initiator by own demand.)        (It becomes an initiator by own demand.)

     HA and MN have Initiator and Responder function of IKE.
     In this case, HA and MN only have to establish IPsec by using IKE
     when oneself transmits the Mobile IPv6 signaling.

  Case.B
    HA <------------------------------------------- MN
     IKE: Responder                                  IKE: Initiator
                                                          (It is always an initiator because it maintains IPsec.)

     HA have only Responder function.  MN have only Initiator function.
     (Because MN is Initiator of SA at the first registration, it seems
      to be natural that MN is Initiator of all SA.)
     In this case, if MN has not established SA, HA cannot send the Mobile
     IPv6 signaling.  MN should begin IKE for keeping SA, because MN should
     always receive the Mobile IPv6 signaling from HA side.

  Note)
    HA of Case.A and MN of Case.B have the interoperability.
    But, HA of Case.B and MN of Case.A don't have the interoperability at time.

When we say that the Mobile IPv6 device support IKEv1, we want to obtain
a clear answer as follows. 

    (1) The Mobile IPv6 device must/should support Case.A.

    (2) The Mobile IPv6 device must/should support Case.B.

    (3) Not mandatory. Both Case.A and Case.B are acceptable depending on local system.

PS.
  Please give the opinion to me if there are operation other than Case.A and Case.B.
  Moreover, please give the opinion to me if there are ideas other than (1)-(3).

Best regards
---
Kiyoaki KAWAGUCHI [email-masked]

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6